sensorfw-qt5 (0.11.8-5+git20210417172305.8f5ba90.bookworm) bookworm; urgency=medium

  * [sensorfwd] sensorfwd-hybris-dropin: alternatively check for init.svc.sensors-hal-*

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 17 Apr 2021 19:23:05 +0200

sensorfw-qt5 (0.11.8-4) bullseye; urgency=medium

  * [sensorfwd] Install a dropin that uses waitforservice to wait for the droid hal

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 17 Apr 2021 02:10:31 +0200

sensorfw-qt5 (0.11.8-3) bullseye; urgency=medium

  [ r3vn ]
  * [debian] raise compat

  [ Eugenio Paolantonio (g7) ]
  * [ci] Updated to match new name [CI SKIP]

 -- r3vn <giuseppe.corti@protonmail.com>  Thu, 08 Apr 2021 17:05:59 +0200

sensorfw-qt5 (0.11.8-2+b1) bullseye; urgency=medium

  * [ci] Move to Drone CI
  * [packaging] build-depend on qtbase5-dev rather than qt5-default (removed from archive)

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 13 Mar 2021 01:48:05 +0100

sensorfw-qt5 (0.11.8-2) bullseye; urgency=medium

  * debian: Update rules to add binary-arch

 -- Erfan Abdi <erfangplus@gmail.com>  Fri, 23 Oct 2020 10:47:10 +0318

sensorfw-qt5 (0.11.8-1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [iioadaptor] Allow overriding iioDevices' scaling factor
  * [packaging] Convert to non-native package
  * [packaging] Build packages using travis-ci

  [ Erfan Abdi ]
  * tests: Use python2
  * debian: Use rsyslog
  * debian: Add systemd service to package
  * service: Configure to use hybris plugins

  [ NeKit ]
  * debian: compile hybris backend with binder support for Android 9
  * Fix gbinder includes to make it compile

  [ Marius Gripsgard ]
  * Don't hardcode path for sed commands
  * No need for binaries to depend on android-headers
  * [debian] Add required build dependencies for hybris plugin
  * [debian] Add missing iiosensorsadaptor plugin
  * Should be pkgconfig libudev not udev
  * core: Add android-headers include path
  * Add support for deviceinfo to override config file

  [ Matti Lehtimäki ]
  * [sensorfw] Various small fixes to comments, defines and adaptor queries. Contributes to MER#1649.
  * [sensorfw] Add hybrispressureadaptor. Contributes to MER#1649.
  * [hybrisadaptor] Rename some functions and variables. Contributes to JB#45163
  * [filters] Fix uninitialized variable in declination filter. Contributes to JB#45163
  * [hybrisadaptor] Add binder backend to hybris adaptor. Fixes JB#45163
  * Merge branch 'jb45163' into 'master'
  * Bump version to 0.10.10
  * [rpm] Fix version numbering in dependencies. JB#45163
  * Merge branch 'version-fix' into 'master'
  * [rpm] Fix version mismatch by bumping all versions. JB#45163
  * Merge branch 'dmard06' into 'master'
  * Merge branch 'no-hardcode-path' into 'master'
  * Merge branch 'no-aheaders-debian' into 'master'
  * Merge branch 'hybris-dep-debian' into 'master'
  * [hybrisadaptor] Do not activate sensors during initialization. Contributes to JB#47166
  * Merge branch 'jb47166' into 'master'
  * Bump version to 0.11.3
  * Merge branch 'proximity-sensor' into 'master'
  * Bump version to 0.11.4
  * Merge branch 'debian-add-mission-plugin' into 'master'
  * Merge branch 'proximity-sensor-devphone' into 'master'
  * Bump version to 0.11.5
  * [sensorfw] Remove obsolete Qt4 support. Contributes to JB#38781
  * Merge branch 'remove_qt4' into 'master'
  * Bump version to 0.11.6
  * [sensorfw] Sandbox the sensorfwd service. JB#37897 JB#44449
  * Merge branch 'jb44449' into 'master'
  * Bump version to 0.11.7
  * [sensorfw] Add missing suspend blocking capability to systemd service. Fixes JB#48979
  * [sensorfw] Remove PrivateNetwork sandboxing option from systemd service. Fixes JB#48890
  * Merge branch 'sandboxing' into 'master'
  * Bump version to 0.11.8

  [ Dylan Van Assche ]
  * [iioadaptor] Implement IIO proximityadaptor. Fixes MER#2062
  * [iioadaptor] Handle edge case for inverted IIO proximity sensor. Fixes MER#2076.
  * [iioadaptor] Improve strtol error handling. Contributes to MER#2076

  [ pvuorela ]
  * Merge branch 'herrie/ls2new' into 'master'

  [ Herrie ]
  * sensorfw: Include updated patches for LuneOS and migrate to LS2 ACG model

  [ Simo Piiroinen ]
  * [sensorfwd] Do not call exit() twice when forking a daemon. MER#1749
  * [libdata] Use value given to LidData constructor. MER#1749
  * [iioadaptor] Zero initialize udev device pointer. MER#1749
  * [iioadaptor] Flag unused parameter. MER#1749
  * [tests] Fix undefined behavior. MER#1749
  * [tests] Avoid warning from ignoring system() return value. MER#1749
  * [documentation] Fix hiccups in documentation comments. MER#1749
  * [environment] Do not use pointers from out-of-scope objects. MER#1749
  * [hybrisadaptor] Remove unused static function. Fixes MER#1749
  * [rpmbuild] Use _smp_mflags instead of jobs macro. MER#1749
  * [rpmbuild] Remove spec file used for Qt4 builds. MER#1749
  * Bump version to 0.8.31
  * [compilation] Provide fallback SENSOR_TYPE_STEP_COUNTER value. MER#1749
  * Bump version to 0.8.32
  * [compilation] Workaround missing u64 union in sensors_event_t. MER#1749
  * Bump version to 0.8.33
  * Bump version to 0.9.0
  * [systemd] Drop BusName from sensorfwd.service. Fixes JB#38525
  * [sensord] Do not log successful daemon forks. JB#38525
  * Bump version to 0.9.1
  * [sensord] Use systemd notify instead of forking a daemon. Fixes JB#36189
  * Bump version to 0.9.2
  * Bump version to 0.9.3
  * [hybris-adaptors] Select 1st sensor variant for each sensor type. JB#39550
  * [hybris-adaptors] Use wakelock to ensure proximity data io. Fixes JB#39550
  * Bump version to 0.9.4
  * [doc] Make @file tags match the actual filenames
  * [cleanup] Remove gyroadaptor-evdevplugin.h.autosave file
  * Bump version to 0.9.5
  * Bump version to 0.9.6
  * [systemd] Make sensorfwd wait for oneshot-root.service. Fixes JB#41619
  * Bump version to 0.9.7
  * [git] Remove .gitignore
  * [packaging] Fix local sensorfwd RPM builds
  * [logging] Use four distinct logging verbosity levels
  * [sensorfwd] Tweak plugin loading related logging
  * [config] Process config.d files in alnum order
  * [sensormanager] Add plugin availability config and D-Bus queries. JB#41369
  * [sensord] Use pipe to trasfer posix signals to mainloop
  * [hybrisadaptor] Use pthreads for hybris reader
  * [nodebase] Emit debug logging if stub methods are reached
  * Bump version to 0.10.0
  * [compasschain] Connect interval source to orientation adapter. JB#39284
  * [hybrisadaptor] Convert hal time values to milliseconds. Fixes JB#39284
  * Bump version to 0.10.1
  * [config] Fix naming of device specific template file
  * [config] Leave some sensors enabled by default. JB#41369
  * Bump version to 0.10.2
  * [logging] Allow printf style logging similarly as qDebug() does
  * [hybrisadaptor] Refactor sensor start/stop logic
  * [hybrisadaptor] Subject sensor type specific actions to common policy
  * [hybrisadaptor] Provide fallback values for select sensors. JB#43020
  * Bump version to 0.10.3
  * [hybrisadaptor] Provide fallback values for sensor types. JB#43020
  * Bump version to 0.10.4
  * [hybrisadaptor] Provide fallback sensor maxDelay value. JB#43020
  * Bump version to 0.10.5
  * [hybrisadaptor] Deal with sensor type aliasing changes. JB#43020
  * Bump version to 0.10.6
  * [config] Rename Config class to SensorFrameworkConfig. Fixes JB#43217
  * Bump version to 0.10.7
  * Bump version to 0.10.8
  * Bump version to 0.10.9
  * Bump version to 0.11.0
  * Bump version to 0.11.1

  [ spiiroin ]
  * Merge branch 'mer1749_warnings' into 'master'
  * Merge branch 'master' into 'master'
  * Merge branch 'jb38525_journal_spam' into 'master'
  * Merge branch 'jb36189_systemd_notify' into 'master'
  * Merge branch 'jb39550_ps_in_suspend' into 'master'
  * Merge branch 'android-headers' into 'master'
  * Merge branch 'herrie/sensord' into 'master'
  * Merge branch 'herrie/LuneOS' into 'master'
  * Merge branch 'jb41619_after_oneshots' into 'master'
  * Merge branch 'jb41369_sensor_availability_config' into 'master'
  * Merge branch 'jb39284_compass_sensor' into 'master'
  * Merge branch 'jb41369_sensor_defaults' into 'master'
  * Merge branch 'jb43020_initial_state' into 'master'
  * Merge branch 'jb43020_obs_issues' into 'master'
  * Merge branch 'jb43020_max_delay' into 'master'
  * Merge branch 'jb43020_sensor_alias' into 'master'
  * Merge branch 'jb43217_crash_on_exit' into 'master'
  * Merge branch 'jb38578' into 'master'
  * Merge branch 'compass-value-calculation-patch' into 'master'
  * Merge branch 'iioadaptor-scale-override' into 'master'
  * Merge branch 'master' into 'master'

  [ simonschmeisser ]
  * Add missing build dependencies

  [ elros34 ]
  * [iioadaptor] Detect correct offset, scale and number of used channels
  * [iioadaptor] Do not enable unused buffered mode for iio device
  * [iioadaptor] Use iiosensorsadaptor for library name

  [ Matti Kosola ]
  * [sensorfw] fix hybris als plugin name
  * [systemd] Start sensord in graphical target instead of basic. Contributes to JB#20442
  * [rpm] Own sensorfw directories
  * Merge pull request #42 from mkosola/master
  * [rpm] Add sensorfw-qt5-hybris.inc to spec source. JB#45163
  * Merge branch 'fix-build' into 'master'
  * Bump version to 0.10.11

  [ kende ]
  * Merge branch 'jb38551' into 'master'

  [ Ivan Shchitov ]
  * [compasschain] Change types of the 'oldHeading' and 'heading' variables inside CompassFilter from int to qreal. Fixes MER#2016

  [ Marko Kenttälä ]
  * [sensorfw] Fixed pkgconfig version, contributes to jb#38551

  [ Tomi Leppänen ]
  * [packaging] Rename sensorfw-qt5-docs to sensorfw-qt5-doc. Contributes to JB#38578

  [ Herman van Hazendonk ]
  * [PATCH] Replace android headers hard-coded include path with pkgconfig
  * [PATCH] sensord-daemon-conf-setup: improve check for libhybrissensorfw
  * [PATCH] Implement luna-service integration

  [ lpotter ]
  * Merge branch 'jb36124' into 'master'
  * Merge branch 'warnings2' into 'master'
  * Merge branch 'envvar' into 'master'
  * Merge branch 'debianfix' into 'master'
  * Merge branch 'newsensors' into 'master'
  * Merge branch 'iiobuild' into 'master'
  * Merge branch 'envfix' into 'master'
  * Merge branch 'master' into 'master'
  * Merge branch 'stepcounter' into 'master'
  * Merge branch 'hybrispressure' into 'master'

  [ Guhl ]
  * [hybris-adaptors] add powerstate_path as parameter to start and stop the sensor
  * [hybris-adaptors] check if powerstate_path exists

  [ Kimmo Lindholm ]
  * [sensorfw] add step counter sensor

  [ Lorn Potter ]
  * add oemtablemagnetometer patch
  * add oemtablemagnetometer patch
  * add sensorfw-0.7.1-tests-directories.patch
  * add sensorfw-0.7.1-pegatron-accel.patch
  * add sensorfw-0.7.1-oemtablet-als.patch
  * add sensorfw-0.7.1-oaktrail-accel.patch
  * add sensorfw-0.7.1-oemtablet-accel.patch
  * add sensorfw-0.7.1-oemtablet-gyroscope.patch
  * add sensorfw-0.7.1-alsadaptor-ascii-rangefile.patch
  * add sensorfw-0.7.3-socket-location.patch
  * add sensorfw-0.7.2-no-doc.patch
  * add sensorfw-0.7.3-RX51-axis-configuration.patch
  * add sensorfw-0.7.2-dep-on-gobject.patch
  * Merge branch 'patch1'
  * add more configs files
  * add easy way to make tarball
  * Merge branch 'patch1'
  * Create README.md
  * add ste sensors and config
  *  change to 0.7.2.2
  * Merge branch 'master' into ste
  * Revert " change to 0.7.2.2"
  * make it 0.7.2.1
  * add steals adaptor
  * just adapt this to use start and stop
  * Revert "add steals adaptor"
  * change from 1 to a 3
  * Merge branch 'master' of https://github.com/lpotter/sensorfw
  * set event0 as device
  * add standyoverride.
  * make this compile with qt5
  * change default library target to -qt5. but not sensord
  * change names of lib and plugins, fix up installs
  * library name changed
  * Merge pull request #1 from Vesuri/master
  * [sensorfw] fix for qt4 build and qt5 package build
  * [sensorfw] remove mce, change daemon output to syslog/journal
  * [sensorfw] add sensord-qt5 to provides for package
  * [sensorfw] remove provides and obsoletes from qt4-compat package
  * Merge pull request #2 from special/master
  * Merge remote-tracking branch 'upstream/master'
  * [sensorfw] fix yaml and update spec files
  * [sensorfw] move common LIBS stuff to a common file to ease
  * [sensorfw] spectacle keeps removing export, so put where it will ignore
  * [sensorfw] use name so to be able to use one tarball
  * remove research entry
  * fix pro include path
  * [sensorfw] add qmake5_install to spec. bump version
  * [sensorfw] try and fix obs build. use package name instead of hardcoding.
  * [sensorfw] set Provides in spec, to avoid weirdness with obs
  * Merge pull request #3 from rburchell/master
  * [sensorfw] bump version 0.7.3.0
  * Merge pull request #5 from rburchell/master
  * Merge pull request #7 from ruedigergad/master
  * [sensorfw] initial hybris adaptors
  * [sensorfw] initial mag and compass chains.
  * [sensorfw] use qt5 sensord, lib, qt4 qt-api compat packaging.
  * [sensorfw] be sure to add hybris pro file to build it
  * [sensorfw] add libhybris dependency
  * [sensorfw] the pkg is called sensord
  * [sensorfw] add hybris dependency
  * [sensorfw] I guess hybris has no pkgconfig
  * [sensorfw] set primaryuse.conf for hybris based sensors
  * [sensorfw] fix hybris build
  * [sensorfw] add android-headers for hybris build deps
  * [sensorfw] add android-headers. fix hybris build.
  * [sensorfw] try again to fix hybris build
  * [sensorfw] hybris build fix
  * Merge pull request #8 from saukko/master
  * [sensorfw] bump version to 0.7.3.14
  * [sensorfw] run conf script after installing hybris package
  * Merge pull request #9 from mkosola/master
  * Merge pull request #10 from tswindell/master
  * [sensorfw] bump version to 0.7.3.16
  * [sensorfw] be sure to specify orientationadaptor for hybris backend
  * [sensorfw] bump version to 0.7.3.17
  * Merge pull request #12 from rburchell/master
  * Merge pull request #11 from saukko/master
  * [sensorfw] bump version to 0.7.3.18
  * Merge pull request #13 from rburchell/master
  * [sensorfw] add logic to hybris suspend and resume
  * fix small details
  * Merge pull request #14 from lpotter/master
  * bump versino to 0.7.3.19
  * Merge pull request #15 from plundstr/master
  * [sensorfw] get rid of mce buildtime requirement
  * Merge pull request #16 from lpotter/master
  * Merge pull request #17 from rburchell/master
  * bump version to 0.7.3.20
  * remove mce from Requires
  * fix hybris gyroscope.
  * Merge pull request #18 from lpotter/master
  * [sensorfw] make hybris adaptor work better with suspend and resume modes
  * [sensorfw] try harder to cleanly stop the android reading thread when
  * [sensorfw] make sure MceWatcher has current value at start up.
  * [sensorfw] turn off/on signals according to standbyOverride and
  * [sensorfw] fix up standby resume the adaptors
  * Merge pull request #20 from lpotter/master
  * bump version to 0.7.3.24
  * fix build
  * [sensorfw] bump version to 0.7.3.26
  * [sensorfw] send initial proximity data for hybris
  * Merge pull request #21 from lpotter/master
  * [sensorfw] bump version to 0.7.3.27
  * [sensorfw] close file descriptor
  * Merge pull request #22 from lpotter/master
  * [sensorfw] bump version to 0.7.3.28
  * [sensorfw] make use of orientation adaptor for compass heading if
  * Merge pull request #23 from lpotter/master
  * [sensorfw] correct adapted sensor for orientation is orientation.
  * Merge pull request #24 from lpotter/master
  * bump version to 0.7.3.30
  * [sensorfw] make sure to deactive hybris sensor when needed
  * Merge pull request #25 from lpotter/master
  * Bump verison to 0.7.3.31
  * Merge pull request #26 from mer-packages/packaging
  * [sensorfw] add compasschain to dependencies of rotation sensor.
  * bump version to 0.7.3.32
  * Merge pull request #28 from thp/no-sensor-handle
  * Merge pull request #32 from thp/mer-hybris-grouper
  * Merge pull request #29 from lpotter/master
  * bump version to 0.7.3.34
  * Merge pull request #33 from foolab/master
  * bump version to 0.7.3.35
  * [sensorfw] make hybris proximity send initial data
  * Merge pull request #34 from lpotter/master
  * bimp version to 0.7.3.36
  * [sensorfw] Add real calibration level to hybris compass sensor.
  * set minDelay to 0 if larger than our max.
  * Merge pull request #36 from lpotter/nexus
  * [sensorfw] new property on SensorService
  * Merge pull request #35 from lpotter/master
  * Merge pull request #38 from lpotter/dec2
  * bump version to 0.7.3.37
  * Merge pull request #39 from faenil/nemomerge_fixes
  * bump version to 0.7.3.38
  * Add docs back into packaging
  * Merge pull request #48 from filippz/master
  * make hybris timestamps consistent
  * Revert "[sensorfw] Remove obsolete debian packaging"
  * Update debain build and add hybris library.
  * Re-add debian build files.
  * Merge pull request #44 from lpotter/debian
  * fix obs build
  * fix obs build
  * Rename sensord daemon to sensorfwd
  * fix obs build (again)
  * Merge pull request #46 from lpotter/sensorfwd
  * Merge pull request #47 from lpotter/docs
  * Merge pull request #50 from lpotter/timestamps
  * fix build with doxygen
  * Merge pull request #52 from filippz/master
  * Make hybris als default value to be 9999 lux.
  * make default proximity value 'not close'
  * send als evdev is possible.
  * do not package anything but hybris plugins in hybris package
  * Fix up documentation a bit.
  * Merge pull request #51 from lpotter/defaultvalue
  * Merge pull request #54 from lpotter/dupfiles
  * Merge pull request #55 from lpotter/docs
  * remove debug output in critical functions.
  * make blocking dbus calls async. Fixes MER#855
  * Merge pull request #56 from lpotter/blocking
  * Merge pull request #57 from lpotter/output
  * bump version to 0.8.3
  * remove warning about cpuboost file
  * Merge pull request #58 from lpotter/master
  * bump version to 0.8.4
  * [sensorfw] bump to 0.8.5 for obs
  * make sure to connect correct signal
  * Merge pull request #59 from lpotter/master
  * bump version to 0.8.6
  * [sensorfw] bump version to 0.8.7
  * Resume regadless when at least one client has standbyOverride.
  * [sensorfw] add accel, als, gyro & mag evdev adaptors.
  * [sensorfw] let standbyOverride be changed while running
  * Merge pull request #63 from lpotter/standbyoverride
  * Merge pull request #62 from lpotter/tbj-evdev
  * Merge pull request #60 from lpotter/master
  * [sensorfw] Fix hybris compass calibration level.
  * Merge pull request #64 from lpotter/master
  * [sensorfw] remove extra line endings in status report
  * [sensorfw] get compass working Fixes MER#822
  * Merge pull request #65 from lpotter/calibrate
  * Merge pull request #66 from lpotter/master
  * [packaging] fix rpmlintrc to pass stricter checks
  * [sensorfw] Remove rpmlintrc stuff. Fixes MER#893
  * Merge pull request #67 from lpotter/master
  * [sensorfw] Fixes MER#904 Make sure hybris adaptor is being
  * Merge pull request #68 from lpotter/master
  * [sensorfw] fix error in avgfilter
  * [sensorfw] Fix MER#983 revert accel x & y values.
  * Merge pull request #69 from lpotter/master
  * [sensorfw] Fixes MER#1043 Don't block when stopping sensors.
  * Merge pull request #71 from lpotter/master
  * [sensorfw] Fixes JB#30219 Don't stop thread on display off
  * Merge pull request #72 from lpotter/30219
  * [sensorfw] Contributes to MER#1001. send errors to clients.
  * Merge pull request #70 from lpotter/errors
  * [sensorfw] Fixes MER#557 Stop config package and install.
  * Merge pull request #73 from lpotter/noconfigs
  * [sensorfw] Fixes MER#1159 move setup file out of rpm dir
  * Merge pull request #74 from lpotter/master
  * [sensorfw] Fixes MER#1159 dont package setup script
  * Merge pull request #75 from lpotter/master
  * [sensorfwd] Fixes MER#1170 fix crash in internal compass
  * Merge pull request #76 from lpotter/1170
  * [sensorfw] Contributes JB#27912 remove debug output
  * Merge pull request #77 from lpotter/27912
  * [sensorfw] Fixes MER#1223. ignore hybris compass raw sensor
  * [sensorfw] Contributes to JB#31251 fix accel and proxy evdev
  * Merge pull request #78 from lpotter/1223
  * Merge pull request #79 from lpotter/l500d
  * [sensorfw] Fixes MER#1272 Add start/stop to proximity evdev
  * Merge pull request #80 from lpotter/1272
  * [sensorfw] Fixes MER#1284 explicitly resume and standby, regardless of screen blank.
  * [sensorfw] Fixes MER#1298 switch proxy evdev values
  * Merge pull request #81 from lpotter/1284
  * Merge pull request #82 from lpotter/1298
  * [sensorfw] FIXES JB#31877 Explicity turn off adaptors when blanking
  * Merge pull request #83 from lpotter/31877
  * [sensorfw] COntributes to JB#31995. Some accel outputs need a multiplier
  * Merge pull request #84 from lpotter/31995
  * [sensorfw] Fixes MER#1342. Partial revert of last change. fix standby
  * Fixes JB#32538 Ignore setDelay errors
  * Merge pull request #85 from lpotter/master
  * Merge pull request #86 from lpotter/32538
  * [sensorfw] Contributes to JB#32538 Fix proxy evdev parsing
  * Merge pull request #87 from lpotter/32538b
  * fix up debian build, include config files
  * Merge pull request #88 from lpotter/master
  * Merge pull request #90 from stefano-garzarella/master
  * add readme from github wiki
  * fix commpiler warnings
  * Use env var for library paths.
  * fix up debian build, include config files
  * add lid sensor
  * add iioadaptor
  * add sensors - humidity, pressure, temperature
  * add adaptors - humidity, pressure, temperature
  * fix up a few things in lidsensors
  * cleanup iioadaptor
  * fix accel values
  * [sensorfw] iio.h is not used, so remove it. Fixes MER#1710
  * [sensorfw] Use a socket env path if set. Fixes MER#1709
  * [sensorfw] Fix OBS build. Fixes MER#1728

  [ Slava Monich ]
  * Merge branch 'readme' into 'master'
  * README formatting

  [ Martin Jones ]
  * [sensorfw] Create SensorManager after forking. Fixes JB#36124

  [ sage ]
  * Merge branch 'jb32073' into 'master'

  [ Marko Saukko ]
  * Drop some of the old changelogs.
  * Fix and clean hybris packaging.
  * [packaging] Remove some old dependencies from packaging.
  * [systemd] Make sure we dbus socket is there when sensord is starting. Also fix some minor service file typos.
  * [packaging] drop .yaml from packaging.
  * [packaging] Fix rpm preun/post/postun scripts.
  * Previously when hybris-libsensorfw-qt5 is installed it brings sensorfw-qt5 and hybris-libsensorfw-qt5-configs
  * Merge pull request #27 from mer-packages/packaging
  * Add bug reference and bumb version.
  * Add bug reference for automated builds.
  * Add gitignore file.
  * Fix magnetometer crashing when config is not valid.
  * Fix accelerometer crashing when config is not right.

  [ Stefano Garzarella ]
  * [compilation] Fix compilation on glibc 2.23/gcc 6.1.1

  [ Islam Amer ]
  * [packaging] fix rpmlintrc to pass stricter checks

  [ Filip Matijević ]
  * [sensorfw] detect N9/N950 properly
  * [sensorfw] power up/down proximity sensor

  [ Robin Burchell ]
  * [sensorfw] Remove obsolete debian packaging
  * [sensorfw] Remove unnecessary plugin.json.
  * [sensorfw] Use Q_OBJECT on all plugin classes to make them loadable.
  * [sensorfw] Fix plugin loading under Qt 5.
  * [sensorfw] Don't build anything but the client library for Qt 5.
  * Merge pull request #4 from rburchell/qt5nodaemon
  * [sensorfw] Also replace the configs package.
  * Rerun specify.
  * [sensorfw] Remove custom logging framework.
  * Remove leftovers of removed logging options.
  * [sensorfw] Restore mce configuration.
  * [sensorfw] Actually install the message handler.
  * [sensord] Always restart.
  * Re-disable mce from sensorfw.
  * Merge pull request #19 from rburchell/master
  * sensorfw-hybris: Build under GCC 4.8
  * Merge pull request #40 from rburchell/master

  [ Andrea Bernabei ]
  * [compilation] Fix compilation on glibc 2.19/gcc 4.8

  [ Mohammed Hassan ]
  * [dconf] Drop usage of gconf and use mlite MGConfItem

  [ Thomas Perl ]
  * [mer-hybris] Drop android/ header prefix
  * [hybrisadaptor] Return invalid handle if sensor doesn't exist
  * [mer-hybris] Skip initial update if no proximity sensor is found
  * [mer-hybris] Force hybris configuration if hybris libs are installed
  * [hybrisadaptor] Remove unused fields/methods in reader class
  * [hybrisadaptor] Simplify HybrisManager::processSample
  * [hybrisadaptor] Fix duplicate sensor open/close bug

  [ Pekka Lundstrom ]
  * [init] sensord should not be started in actdead

  [ Tom Swindell ]
  * [sensorfw] Fix in ALSAdaptor, logging and power.

  [ Ruediger Gad ]
  * Add acceleration sensor support for MPU 6050 (e.g. Nexus7).

  [ John Brooks ]
  * [sensorfw] Call update-contextkit-providers after installation

  [ Vesa Halttunen ]
  * Use the correct include path on Qt5

  [ Ming,Bai ]
  * Fix: Potential data lost during int-double convertion.
  * make SensorManagerInterface::registerSensorInterface thread-safe

  [ p2niemel ]
  * added log-target
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * datarate: [1,100] Hz
  * datarate: [1,100] Hz
  * datarate: [5,100] Hz
  * comment fix
  * gyro
  * Merge branch 'gyro'
  * interval setting tested
  * Merge branch 'master' of git@gitorious.org:meego-middleware/sensorfw
  * Merge branch 'master' of git@gitorious.org:meego-middleware/sensorfw
  * checkIntervalUsage modified to cope no intervals
  * gyro fixes
  * checkIntervalUsage modified to cope no intervals
  * gyro config moved
  * Merge branch 'master' into gyro
  * Merge branch 'master' into gyro
  * gyro fixes
  * rm AngularVelocityData
  * added intervals
  * discrete interval values
  * Merge branch 'master' into gyro
  * interval change: 2.5 -> 2 for easier subsampling
  * interval fix
  * removed setRangeSource that overwrote the scaled range
  * setting data range by giving an index
  * less dbus calls
  * bug fixing
  * streaming als
  * delete to destructor
  * dbusIfc declared
  * streaming als fix + dependencies added
  * Merge branch 'harmattan' of git@gitorious.org:meego-middleware/sensorfw into harmattan
  * other device types added
  * remove alwaysOn blocker
  * interval getter/setter, confs accordingly
  * interval setting should succeed with the both poll modes, select and interval
  * minor reorg
  * in addition to magge also acc/rot downsampling tested
  * minor fix
  * non-existent signal
  * added more buffering tests
  * errorMsgs fixed
  * interval checking started
  * initialising sensors
  * buffering testing cont.
  * Merge branch 'harmattan' of git@gitorious.org:meego-middleware/sensorfw into harmattan
  * buffering testing still on-going
  * scoped pointers + small fixes
  * downsampling set
  * Merge branch 'harmattan' of git@gitorious.org:meego-middleware/sensorfw into harmattan
  * errormsg fix + casting to float
  * avg calc fix, but still something wrong there..
  * Merge branch 'harmattan' of git@gitorious.org:meego-middleware/sensorfw into harmattan
  * sample handle fix
  * limit checked
  * added a new property for overflow checking
  * removed extra line feeds causing parsechangelog warnings
  * missing row added

  [ Timo Rongas ]
  * Removed all NRC code from the tree. Copies remain in sensord-0.6.6 tag and earlier
  * Changelog update
  * Forgot a few NRC related files, removing
  * Changed LIBS to QMAKE_LIBDIR_FLAGS to prevent linking against installed
  * Version bump, added bug 164321
  * Fixed bug 164339 by changing critical to debug and handling better.
  * added bug to changelog
  * Renewed rotation calculations (not finished)
  * Default speed of 10hz for rotation sensor (for compass on z-axis)
  * Added note about dummyAdaptor not working properly with sample sets n>10
  * Version bump
  * Took out unnecessary todo items
  * Duplicate value filter to proximitysensor
  * Added get method for accelerometersensor
  * changelog update
  * Removed some left over references to Ariane
  * Fixed XYZ datatypes to Magneticfield (forgotten on actual update)
  * Accessors for raw data returned calibrated data. Fixed the typo.
  * Created orientationchain to do orientation calculations.
  * Added test and error logging for declination correctin value in GConf.
  * Fixed ContextFW orientation test by changing strange looking interpretation values.
  * Added testcases for external values (gconf etc.)
  * Version bump for a new tag (0.6.9 failure fix)
  * Fixed adaptor standby/resume logic - not pretty, but works.
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Bug descriptions and version bump to 0.6.11 to changelog
  * Prevented duplicate instances of sensord.
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Fixed sensorapi-test (mag bg calibration affected the test)
  * Feature mark to changelog
  * Added interfaces for required sensor metadata information.
  * Added missing datarange.h. Whoops.
  * Refactored the orientationchain to get rid of lost sample problems.
  * Fixed flaws in previous commit. Refactored filter tests. Other small fixes
  * Removed debug messages
  * Fixed bug release flaw in changelog, retag.
  * Proximity threshold limit read from driver, not hard coded.
  * Fixed include path to work without installed libsensord-dev.
  * SensorManager state flushed to syslog on SIGUSR2
  * Yet another problem fixed that never jumped up. Additional -L for test utils
  * Version bump
  * Added API file
  * Version bump to 0.6.17
  * Different logic to OrientationInterpreter::processTopEdge()
  * Added bug tag to changelog
  * Added feature tag to changelog
  * Merge of branch for fixing the orientation interpretation to 45 degrees
  * Version bump to pkg-config file
  * Merge commit 'refs/merge-requests/2' of git://gitorious.org/sensorfw/sensorfw into initd
  * Adjusted threshold for orientation overflow checks
  * Version bump to 0.6.18
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Changed metadata for some sensors. Set 4Hz rate for orientation interpretation.
  * Changelog entries (a bit late)
  * Added debug lines (test mode) for als values to als adaptor
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Added metadata type registration for PoseData
  * MetaData information provided by shared parent for all filtering chain nodes.
  * NodeBase::setDataRange from public to protected.
  * Fixed tap adaptor range information
  * Device specific plugin sections to configuration file.
  * Version bump
  * Added (preliminary) instructions for implementing plugins.
  * ContextSensor starts even in absence of CompassChain.
  * Changelog update
  * Modified the instructions a bit
  * Updates to instructions, again
  * doc mod, again
  * Added a preliminary sketch for c-api.
  * Added c-api/ to doxygen processing
  * setStandbyOverride to have return value (bool). Always true.
  * setStandbyOverride propagated via filterchain.
  * Locked setStandbyOverrideRequest with mutex.
  * Doxygen updates
  * Changelog update
  * Updated pkg-config file to current version
  * Added flush() for socket to make sure sessionId is provided by the client right away.
  * Changed a warning to debug message in sockethandler - not critical
  * Added example for creating new adaptor plugins.
  * Fixed a wrong description of sysfsAdaptor in instructions
  * Accelerometer coordinate transformation matrix from config file
  * Created MagnetometerScaleFilter for adjusting magnetometer output.
  * MagnetometerSensor output is now scaled by a coefficient given in config
  * MagnetometerScaleFilter from MagnetometerSensor plugin.
  * changelog updates
  * Version bump after tag
  * Version bump to pkg-config file
  * First quick hack for new magnetometer driver
  * Changed magnetometerAdaptor default rate 0->1000.
  * Added changelog tag for MaSSW-1892
  * Changed units in comments from nT to 0.3T
  * Adjusted magnetometer to not care about the validity bit.
  * Changed unit in comments to match reality
  * Revert "Added changelog tag for MaSSW-1892"
  * Cosmetic touch
  * Removed magnetometer from faked devices
  * Changed the magnetometer driver output structure from s32 to s16
  * Changed deadclienttest to use SIGKILL instead of SIGSEGV
  * Changelog update
  * Changed units from m/s^2 to mG
  * Changed magnetometer unit descriptions to nT.
  * Made buffers slightly smaller to preserve memory.
  * Changelog update
  * Fixed GConf key for declination correction
  * Merge commit 'refs/merge-requests/3' of git://gitorious.org/sensorfw/sensorfw into markus
  * Version bump
  * Adjusted possible intervals for accelerometer to [10,2000]
  * Changed available intervals for rotation and orientation sensors
  * Added missing g_error_free().
  * Added mutex locking to Sysfsadaptor.
  * Changelog update
  * Version bump
  * Fixed usage message
  * Removed libfilters
  * Fixed missing compass bug in RotationSensor
  * Fixed changelog
  * Fixed and cleaned sensordiverter.sh
  * Fixed powermanagement tests. Uses dynamic default interval now.
  * Merge commit 'refs/merge-requests/6' of git://gitorious.org/sensorfw/sensorfw into markus
  * Merge commit 'refs/merge-requests/7' of git://gitorious.org/sensorfw/sensorfw into markus
  * version bump to 0.6.23
  * MRSTAccelerometer changed to use driver values directly (provided in mG)
  * Fixed testutilities for automatic runs over ssh.
  * Fixed a bug in syslog logging.
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Merge commit 'refs/merge-requests/8' of git://gitorious.org/sensorfw/sensorfw into markus
  * Added task line to changelog.
  * Version bump to 0.6.24
  * Fixed standbyOverride handling, which left requests hanging.
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * Version bump to 0.6.25. Automated .pc file version update.
  * Reverted sensord.pc version automation script.
  * Fixed a bug notice in changelog
  * Version bump to 0.6.26
  * Added -Wno-psabi to get rid of warnings from new toolchain.
  * Fixed signal prototypes and connections in deadclient test.
  * Added magnetometeradaptor-ascii and proximityadaptor-ascii
  * Merge commit 'refs/merge-requests/9' of git://gitorious.org/sensorfw/sensorfw into markus2
  * Setup testing and debian packaging to work with newly added config.d
  * Screen.TopEdge in ContextFW is unset in unclear situations.
  * Orientation tresholds makes use of averaging buffer to decrease jitter.
  * Fixed changelog
  * Fixed ABI breakage, raised pkg-config version number.
  * Interval is propagated via source nodes instead of SensorManager.
  * Cleaned out commented code (deprecated parts replaced by new approach).
  * Iterators to use in intervalMap loops.
  * Merge branch 'interval-propagation'
  * A few fixes for the merge.
  * Merged alsadaptor-ascii and alsadaptor-sysfs into one adaptor.
  * Set interval metadata for alsadaptor-ascii
  * Improved device orientation testing to make use of configured options.
  * Added simplified example plugins.
  * Version bump to 0.6.29
  * Added PLUGIN-GUIDE to share information on writing plug-ins.
  * Added a guideline doc for sensor driver implementation.
  * Update to driver guideline.
  * Added configuration file section for PLUGIN-GUIDE
  * Reverted Screen.TopEdge to always contain a valid value. Added Screen.IsFlat.
  * Renamed Screen.IsFlat to Position.IsFlat.
  * Version bump to 0.6.31.
  * Indent cleanup
  * TEMPORARY: Changed axis directions for accelerometer and magnetometer adaptors.
  * Increased timeout for ContextFW als test.
  * Changelog update.
  * Version bump to 0.6.32
  * Revert "TEMPORARY: Changed axis directions for accelerometer and magnetometer adaptors."
  * Rerouted console output to log for plugin registrations.
  * Revert "Revert "TEMPORARY: Changed axis directions for accelerometer and magnetometer adaptors.""
  * Minor fixes.
  * Merge branch 'master' of git@gitorious.org:meego-middleware/sensorfw
  * Fixed build instructions for alssensor.
  * Removed obsolute PropertyHandler class.
  * New parameter to SysfsAdaptor constructor to control use of lseek().
  * Revert "Revert "Revert "TEMPORARY: Changed axis directions for accelerometer and magnetometer adaptors."""
  * Configure option for offsetting Screen.TopEdge values.
  * Changelog update
  * Dropping lseek error timeout 250ms -> 50ms.
  * Different behavior for magnetometer chips handled by magnetometeradaptor.
  * Version bump to 0.6.33
  * Created StabilityBin for Position.[Stable|Shaky] properties.
  * Forcing removal of standbyOverride when closing stabilityBin.
  * Subsampling input for stability detection. Timer for triggering stable.
  * Made Position.Stable timeout configurable.
  * Reduced size of stability buffer, modified stability test to match new logic.
  * Fixed bug number in changelog.
  * Modified NormalizerFilter. Fixed tests.
  * Merge branch 'stationary-fix'
  * Changelog update.
  * Merge branch 'master' of git@gitorious.org:meego-middleware/sensorfw
  * Context Bins are connected/disconnected from source nodes based on start/stop.
  * Removed informative debug lines from socketreader.
  * Forgotten bug tags to changelog
  * Removed warnings for unused parameters.
  * Fixed tapsensorinterface internal slot declation.
  * Prevent SysfsAdaptor::checkIntervalUsage from indexing out of bounds.
  * Prevent SysfsAdaptor::checkIntervalUsage from indexing out of bounds.
  * Added nodocs option parsing to avoid useless building of docs.
  * Added nodocs option parsing to avoid useless building of docs.
  * Changed Screen.TopEdge default from "top" to "left" in order to
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Version change to 0.6.40
  * Included QDebug to deadclienttest to fix compilation.
  * Fixed library include path for datatypes in core/core.pro
  * Changelog version number correction.
  * Added cpu boosting to orientationInterpreter.
  * Fixing changelog
  * Version bump to 0.6.43
  * TestApp configuration file is now included to sensord-test package.
  * Added #ifdef clauses around mce related issues.
  * Fixes accelerometer interval evalution (BMC#20777)

  [ Antti Virtanen ]
  *  - SensordLogger rewritten: new implementation should be lot of faster and random core dumps should disapper. Logging macros work as before. Fixes: NB#191465.
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw
  * Various cleanup and refactoring.
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw
  * Logging improvements.
  * -Removed unnecessary mutex from NodeBase
  * Added myself as @author.
  * Updated changelog.
  * Debug output from USR2 is now printed with warning-level and output contains PID of active control and listen sessions if available. [Fixes: NB#197201].
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw
  * Fixed changelog.
  * Removed USE_SOCKET compiletime option.
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * Removed deprecated "internal" build config.
  * Intervals are now session specific so each client gets data at requested rate. In other words sockethandler downsamples data for clients which use lower rate.
  * Merge branch 'interval-downsampling'
  * Updated changelog.
  * -SysfsAdaptorReader fetched incorrectly fd passed to processSample(). [Fixes: NB#180060].
  * Updated changelog.
  * Fixed version number.
  * Fixed bug from SocketHandler::removeSession() introduced by interval downsampling changes.
  * Moved all member variables of qt-api sensor classes behind pimpl. Some cleanup also done.
  * Cleaning up sensormanager_i and socketreader. Allocated pimpl is now deleted in abstractsensor destructor.
  * Refactored makefiles:
  * -Optimized SensorManager QMap usage by using iterators.
  * Typo fixed
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * Implementing buffering:
  * Optimized logger streaming ops to do nothing when used loglevel wouldn't log anything.
  * Some bug fixing and cleanup for buffering.
  * -Magnetometer, rotation and accelerometer sensors now have frameAvailable() signal. If no one connects to the signal data from the frames will be sent through dataAvailable() signal.
  * Added few missing function implementations.
  * Datacount is now correctly written to the socket.
  * -Sensorfw buffering now works.
  * -Fixed IntervalRangeList marshalling.
  * -Added getAvailableBufferSizes() with unit test.
  * -AbstractSensorChannelAdaptor now implements getAvailableIntervals() and getAvailableDataRanges(). These will replace old index based accessors.
  * Refactoring
  * Added metadata support for buffersize and bufferinterval.
  * Fixed testcase
  * -Added logic to AbstractSensorChannelAdaptor to set correct properties to SocketHandler in case of HW buffering.
  * AvgVarFilter data is now protected with mutex.
  * Refactoring:
  * Updated changelog.
  * Refactoring:
  * Updated changelog
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * Refactoring:
  * Refactoring:
  * Merge branch 'buffering'
  * Refactoring:
  * Fixed crash issues from StandbyOverrideTest and PowerManagementTest.
  * static consts are now defined in object file to get symbols correctly created.
  * Bug fixes:
  * Fixed changelog.
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * Bug fixing:
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * buffersize and bufferinterval are now set after sensor has been started.
  * Increased timeout for powermanagement tests. Fixes: NB#204003.
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * Updated changelog.
  * Removed dos linefeeds.
  *  * SensorManagerAdaptor refactoring: since parent is always SensorManager no need to use QObject reflection for calls.
  * Config parser refactored.
  * Refactoring:
  * Replaced use of Qt reflection in AbstractSensorChannelAdaptor for getting property values and calling methods with direct function calls.
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  *  - SIGINT will now do graceful shutdown
  * Optimizing:
  * Fixed regressions:
  * Sensor starting won't anymore assert if sensord is dead.
  * Refactoring:
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  *  - Removed DOS linefeeds.
  *  - Removed some magicnumber #defines
  * Refactoring:
  * Added check that logger is initialized to streaming ops.
  * epoll_wait() returned events are checked for errors. If there is an error we will sleep awhile: stupid workaround to get tests working...
  * Removed asserts from SensorManagerInterface. Fixes: NB#205367.
  * Updated changelog.
  * Added bug number to changelog for calibration changes.
  * Added comment about logging improvements to changelog.
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  *  * CalibrationHandler now sets proper interval for the magnetometer when starting.
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * propertyChanged signals aren't anymore sent through dbus to apps since qmSystem nor QtMob Sensors API supports property notifications.
  * Fixed changelog.
  *  - Refactored ALSAdaptorAscii: removed unnecessary members, fixed missing initializations and simplified the constructor.
  * Default buffersize range is now 1...256
  * Fixed test to check correct buffersize range since it was changed to 256.
  * Removed QThread::terminate() calls from testcases.
  * Preparing for tagging 0.6.34.
  * SocketHandler doesn't anymore delegate the work through QTimer if the data must be sent immediately.
  * Bug fixing to SocketHandler. Added testBufferingInterval test for verifying bufferInterval functionality.
  * - Fixed SensorManager session handling.
  *  - Implemented AbstractSensorChannelInterface::hwBuffering() accessor.
  * Optimized some foreach-statements
  * Compatible with mce-dev-1.10.24. Fixes: NB#219223.
  * Decreased mce-dev dep to 1.10.16.
  * Small fix to changelog.
  * Fixed socket handling and data reading logic.
  * Preparing for release.
  * Improved documentation.
  * Optimized Qt container loops to use constBegin() and constEnd().
  * Merge branch 'master' of gitorious.org:meego-middleware/sensorfw
  * Refactoring:
  * Fixed changelog.
  * SocketReader didn't read buffer to empty if it contained more items buffered. Fixed: NB#222132.
  * Preparing changelog for release
  * Increased version number
  * Fixed MagnetometerSensorChannelInterface::reset().
  * Reverted previous commit and moved the fix for calibration reset to correct place.
  * MagnetometerSensorChannel::resetCalibration() fixed.
  * Removed unused member.
  *  - Removed possibility of having multiple sensors inside single DeviceAdaptor. This feature was never used.
  * Removed unicode characters from comments.
  * Rest of the configurable options are now organized under new hierarchy.
  * Removed logic from Loader to handle deviceId based hierarchy. This is replaced by having different config file for each device type.
  *  - Moved CalibrationHandler configs under magnetometer segment
  * Added --config-dir option and changed main() to use it when loading configs.
  *  - Added upstart job definition.
  * Bug fixing and fine tuning configuration changes.
  * Modified unit tests to use different configs in different deployments
  * Removed unnecessary log print.
  * Improved formatting
  * Merge branch 'configurable-metadata'
  * Fixed packaging for test configs.
  * Updated accelerometer datarange for ncdk
  *  * Added support for NCDK driver to ALSAdaptor.
  * Fixed bug from SysfsAdaptor::writeToFile(): it used wrong method to get size of the buffer.
  * Implemented NCDK support for proximityadaptor.
  *  - Fixed bugs from MagnetometerAdaptorNCDK and refactored it a bit.
  * Moved gyro metadata settings to config file.
  * Fixed changelog
  *  - Removed FilterProperty: it had possible memory leak and could return references to already deleted memory.
  *  - Changed buffersizes to 1.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Fixed AbstractSensorChannelAdaptor::setDataRangeIndex(): non-void but didn't return anything.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Removed forgotten filterproperty.h from the project file
  * Merged back pipe to SensorManager to delegate socket writing to Qt eventloop thread
  * Since SocketHandler is used only by Qt eventloop unnecessary mutexes are removed
  * Refactoring.
  * Preparing changelog for the release.
  * Reverted previous change to the ProximityAdaptor
  * Updated changelog
  * Core improvements:
  * Test app now starts sensors correctly again.
  * Testthread is not thread anymore
  * Improvements to testapp:
  * Polishing testapp:
  * Added support for --help
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * GyroscopeAdaptor::setInterval() and GyroscopeAdaptor::interval() removed.
  *  - SensorManager::releaseSensor() now removes bufferSize and bufferInterval settings for session from the node.
  * Implemented statistics printer for testapp.
  * Moved qt-api dependant code to SensorHandler.
  * Testapp makefile now supports compilation against qmsystem2 and qtmob APIs. Added sensorhandler stubs.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Fixed compile warning introduced from 5a06139b6183f279aa5fafa52ba44d55f3d4a011
  * Implemented qmsystem2 handler for testapp.
  * Bug fixing.
  * Improved testapp:
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Merge branch 'harmattan'
  * Graceful shutdown is now optional.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Moved QAbstractSocket::SocketState metatype declaration to initializer of qt-api.
  * Removed debug prints from previous commit
  *  - Qt-api interface classes now directly access methods from dbus adaptor instead of using properties. Fixes: NB#181522.
  * AbstractSensorChannelInterface does not anymore inherit from QDBusAbstractInterface.
  * Updated --help output.
  * Fixed compile error
  * Merge branch 'harmattan'
  * Removed deprecated code
  * Removed deprecated code
  * Preparing for release
  * Preparing for next development iteration
  * Refactoring
  * Refactoring
  * Refactoring
  * Refactoring
  * Fixed typo
  * Removed AbstractSensorChannelAdaptor::state()
  * Downsampling can be now enabled/disabled.
  *  - OrientationInterpreter filter orientation_buffer_size is now configurable.
  * OrientationInterpreter default settings now provide more sensitive orientation detection. Fixes: NB#232872.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Improved changelog a bit.
  * Tuned orientation parameters a bit more
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Cleanup for adaptors.
  * Tuning orientation parameters a bit more
  *  - Proximity sensor dataflow now uses datatype ProximityData.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Added missing header
  * Cleaning changelog
  * Renamed proximity "blocked" term to "withinProximity"
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Improved documentation
  *  - c-api removed from doxygen targets.
  * Fixed proximitydata comparison check
  * Fixed typos from config
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Fixed compile warning
  *  - AccelerometerAdaptor used for some reason OrientationData. Should have been AccelerometerData. Only cosmetic change.
  * Improved downsampling logic and with possibility to disable it.
  *  - Fixes for downsampling
  * Refactoring
  * Refactoring and testapp improvements.
  *  - Downsampling now supported for magnetometer and rotation sensors.
  * Fixed buffersize and -interval listing.
  * Fixed testcase to work with limited accelerometer interval range.
  *  - Fixed testapp compilation for qmsystem2 and qtmob APIs
  * Minor optimization to downsampling based on Shenghuas comment.
  * Fixed crash bug from qtmob testapp.
  * Removed unnecessary debug print
  *  - Downsampling is by default enabled for sensors which support it
  * Improved downsampling test a bit
  * Reduced used DataEmitter buffer sizes to 1
  * Updated changelog.
  * writeToClient() won't bail out if single writing fails.
  * Improved API documentation.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Fixed compile error
  * Testapp data count is incremented for received frames.
  * API documentation improvements and minor refactorings.
  * Downsampling is disabled for buffering tests.
  * Improved API documentation.
  * API documentation improvements.
  * Removed asserts which could be influence by external input.
  * AbstractSensorChannelInterface::release() deprecated.
  * Improved error messages.
  * Improved API documentation and minor refactoring.
  * API doc improvements are minor refactoring.
  * Added API documentation
  * Renamed member varible for consistency.
  * Moved few members from DeviceAdaptor and AbstractSensor to NodeBase.
  * Got rid of AbstractSensorChannel::errorCodeInt().
  * Added API docs to AbstractSensorChannel and did various refactorings.
  * Reorganizing header a bit
  * Further simplifications to sensor starting and stopping.
  *  - API documentation improvements.
  * Refactoring and improving API documentation.
  * Improved API documentation.
  * Improved API documentation and did minor refactoring.
  * Refactoring and adding API documentation.
  * Improved dataflowtests.
  *  - Fixed bug from DeviceAdaptor: isValid flag is now set to true by default.
  *  - InputDevAdaptor device detection now only tries to locate one compatible device.
  * Fixed regression from SysfsAdaptorReader starting/stopping.
  * libsensordatatypes will be now linked from build tree and not from system.
  *  - Improving debug prints
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Fixed FPE when currentInterval in downsampling is 0.
  *  - Improved debug logs.
  * Take into account compilations where SENSORFW_MCE_WATCHER is not defined.
  * Commented out fix for DeviceAdaptor screenBlanked initialization.
  * Reverted changes to testcases.
  * Preparing for release
  * Pushing back Pias changes.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  *  - Sensor graph shrinking not supported anymore to prevent race conditions between adaptor threads and qt mainloop. Fixes: NB#242237
  * Implemented downsample filter for XYZ data.
  * Fixed few bugs from DownsampleFilter.
  * RotationFilter won't propagate data for compass input. Fixes: NB#242233.
  * TapAdaptor won't try to configure pollrate for accelerometer driver anymore. Fixes: NB#242902.
  * Fixed typo from debug print.
  * Fixes to compass declination correction handling (Fixes: NB#241539):
  * Fixed bugs from DeclinationFilter and improved tests.
  * Fixed few more bugs from declination handling.
  * Fixed regression from CalibrationHandler.
  * Optimized InputDevAdaptor interval handling.
  * Added test to verify that declination correction is visible from CompassSensorChannelInterface.
  * Cleanup
  * Increased timeout for clientapi tests.
  * Bumped version
  * NodeBase::setStandbyOverrideRequest() used wrong level for debug print.
  * CompassSensorChannel::emitData() now takes correctly copy of passed CompassData.
  * Reverted back version to 0.6.42
  * Fixes for declination correction:
  * Fixed filter tests.
  *  * Cleaned used include paths a bit that they better match what is in sensord-dev. Fixes: NB#2442
  * Updated package metadata information.
  * Merge branch 'harmattan'
  * SysfsAdaptor::startAdaptor() and SysfsAdaptor::stopAdaptor() are now virtual since subclasses may override them.
  * Added missing -rpath for makefiles.
  * Merge branch 'harmattan'
  * Preparing for release
  *  - Bumped version to 0.6.44.
  * Fixed unit test
  * Fixed email addresses.
  * Merge branch 'harmattan'
  * Fixed compile error
  * Fixed changes for NB#259945.
  * Pusher default callback now points to itself so delegation is not routed through Bin. Fixes: NB#262887.
  * Merge branch 'harmattan'
  * Fixed changelog to match with 0.7.2 content.

  [ Markus Lehtonen ]
  * Remove hardcoded mce dependency by making mcewatcher support a build time configurable option
  * Added RequiredStart/Stop to SysV init script
  * SysV init script fix for MeeGo
  * Sync config file with new N900-related plugins
  * Introduce ALSAdaptor-sysfs plugin
  * Proximityadaptor-evdev plugin.
  * Fix contextprovider qmake config option
  * Enable multiple config files
  * Fix config file loading: use absolute paths.
  * Fix compilation problems on 64bit archs
  * proximityadaptor-evdev discards unused events
  * Fix mce_disable configuration option
  * Renamed some config files to match MeeGo's boardname.
  * configs: update rx-51 config
  * configs: update rm-680 and rm-696 config
  * Fix config key handling in inputdevadaptor

  [ Shenghua ]
  * Move the context provider definition from core.pro to sensord.pro
  * Realese 0.6.35, merge newsensord branch into master
  * Correct the fakesensor file used in testing.
  * Change the file path for rm696 als sensor and also the logic judgment in alsadaptor.cpp
  * Fixs: #219958
  * Merge branch 'master' of http://git.gitorious.org/meego-middleware/sensorfw into newsensord
  * Drop the unnecessary debug info from alsadaptor
  * Modify the changelog
  * Remove unnecessary lines from alsadaptor and did the some change as alsadaptor
  * Fix the test failure in contextfw001
  * Remove the unnecessary debug info
  * Modified the changelog
  * Optimazation for orientation rotation. Fixes: NB#223261
  * Change the function definition so that it uses call-by-reference
  * Increase the version number and change changelog.
  * Refactoring the test cases realted to orientation change
  * Get the timestamp from kernel's syschronized event
  * Fixing the typo
  * Merge branch 'newsensord'
  * Fixing the timestamp setting problem in tapadaptor and change the
  * Correct the changlog
  * Correct the email address in changelog
  * magenetometeradaptor for ncdk
  * Merge branch 'master' of http://git.gitorious.org/meego-middleware/sensorfw into newsensord
  * Add new magnetometeradaptor for ncdk support
  * Code optimization for magnetometeradaptor-ncdk
  * Merge branch 'newsensord'
  * Update changelog
  * Fix the problem in constructing QByteArray.
  * Merged back pipe to SensorManager to delegate socket writing to Qt eventloop thread
  * Removed forgotten filterproperty.h from the project file
  * Merge branch 'master' of http://git.gitorious.org/meego-middleware/sensorfw
  * Merge branch 'harmattan' into master
  * Fix the changelog
  * Merge branch 'harmattan' into localmaster
  * Merge branch 'harmattan' into localmaster
  * Resolve the problem in merging
  * Add parameter parser class and configuration function for sensors using
  * Merge branch 'harmattan'
  * Correct the way client registers to sensor interface
  * Merge branch 'harmattan'
  * Code clean up
  * Merge branch 'harmattan' into localmaster
  * Merge branch 'master' of http://git.gitorious.org/meego-middleware/sensorfw into localmaster
  * Revert back commit e2bde274a880e800a9e58d5c36ade17a69b7dcbf
  * Correct the way getting the orientation threshold
  * Fixing the problem in project file.
  * Fix configuration problem in sensorfw context test
  * Merge branch 'master' of http://git.gitorious.org/meego-middleware/sensorfw into localmaster
  * Merge branch 'master' of http://git.gitorious.org/meego-middleware/sensorfw into localmaster
  * Change log level back for als adaptor and correct sensordivert.sh
  * Make the single/multithread mode configurable from command
  * Modify the configuration file for rm680 automatical testing
  * Merge branch 'harmattan' of http://git.gitorious.org/meego-middleware/sensorfw into harmattan
  * Adding multi-thread support
  * Merge branch 'harmattan' of http://git.gitorious.org/meego-middleware/sensorfw into harmattan
  * Remove the unneccessary codes
  * Codes cleanup
  * Merge branch 'harmattan' of http://git.gitorious.org/meego-middleware/sensorfw into harmattan
  * Fix the problem in thread exiting
  * Test app improvements
  * Test application improvment
  * Add author name to files and code cleaning up
  * Fix the thread exiting problem
  * Fix sensord-tests.install and change changelog
  * Fix changelog
  * Update the adaptation document
  * Document updated
  * Adaptor also pushes the raw proximity data
  * Print out the reflectance data from the test app for qt api
  * Fix the problem in Proximity metatype registration
  * Minor improvement on testapp and change changlog
  * Merge branch 'harmattan' of http://git.gitorious.org/meego-middleware/sensorfw into harmattan
  * Code cleaning up. Keys in QMap is sorted already
  * Improvements on the downsampling algroithem
  * Merge branch 'harmattan' of http://git.gitorious.org/meego-middleware/sensorfw into harmattan
  * Adding author

  [ Lihan Guo ]
  * Create parser for command line
  * Merge branch 'lion'
  * Fix running block of test files
  * Merge branch 'tiger'
  * Fix ALS test script failure
  * Add verification with delay for the face-buffer
  * Add information to changelog
  * Fixed filtertests.cpp failure caused by new orientation logic
  * Fixed testorientation.py failure caused by new orientation logic
  * Fixed testorientation.py failure caused by new orientation logic
  * Fix standby override re-evaluated problem and add related test case.
  * Edit als and proximity for RM680 and RM696
  * Changes on als and proximity for RM680 and RM696
  * Fixes: NB#186211 - During an ongoing alarm notification, when a device placed flat is lifted up rapidly it snoozes the alarm
  * Fixed bug: proximity sensor never returns True
  * Revert "Fixed bug: proximity sensor never returns True"
  * Add power save mode for calibration
  * Add new tap feasture, tap sensor offers single, double and single/double tap data.
  * Add changelog for new tap feature
  * Fix bug 199971 - proximity sensor never returns True
  * Polish bug fixng 199971
  * Add test case for stationary
  * Add changelog
  *  Change CalibrationHandler to get parameter value from config.
  * Calibration runs for 1 min after switch display on
  * Fix for calibration runs for 1 min after switch display on
  * Merge branch 'bang'
  * Combined control and listen session
  * Added fix for combine session and edited changelog
  * Added fix to combine session
  * Fixed coverity defects
  * Add missing fixes for coverity defects
  * Fixed coverity defects
  * Fixed a compiling warning caused by defects fixes
  * Fixed a compiling warning caused by defect fixes
  * Improved sensorfw examples
  * Improved sensorfw examples
  * Added changelog
  * Added changelog
  * Add a fix for examples
  * Changed DbusEmitter to DataEmitter
  * Changed DbusEmitter to DataEmitter
  * Get rid of compiling error after merge
  * Added changelog
  * Changed emitToDbus to emitData
  * Changed emitToDbus to emitData
  * Added a fix for examples
  * Added a fix to examples
  * Add test application to create sensor
  * Added changelog
  * Removed internalPropGet and internalPropSet.
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Merge branch 'harmattan' of gitorious.org:meego-middleware/sensorfw into harmattan
  * Added qt-mobility for tests/testapp.
  * Added fix for tests/testapp.
  * Added a fix for testapp qt-mobility
  * Added qt-mobility for testapp
  * Add setDateRate for qt-mibility in testapp
  * Added setDateRate for qt-mibility in testapp
  * Revert "Added setDateRate for qt-mibility in testapp"
  * Revert "Added qt-mobility for testapp"

  [ a4virtan ]
  *  - SocketHandler socket initialization logic simplified.

  [ shenghua ]
  * Seperate the old sensor daemon folder to a new light weight daemon and a share library

  [ Tapio Rantala ]
  * Add mrstaccelerometer by Zhang Xin(Wing)
  * Add missing newline at end of file debian/libsensord-doc.install
  * Disable als diversion
  * If you don't look at sensord output, you might as well start it with initctl

  [ Üstün Ergenoglu ]
  * Orientation sensor correctly reports the last measurement through the property
  * Fixes for some issues in coverity report.
  * Merge branch 'master' of git@gitorious.org:sensorfw/sensorfw
  * magnetometer sensor has the reset method now for calibration level.
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw
  * Fixes NB#169728 - topEdge property from context plugin is correctly reported.
  * Fixed NB#169728 again.
  * applied background calibration patch
  * Merge branch 'bgcalibration'
  * fixed wrong type for reset method in magnetometer sensor interface.
  * Fixes about Magnetometer calibration reset and magneticField methods.
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw
  * updated debian/changelog
  * edge orientation and face orientation is split into two filters.
  * updated changelog.
  * cleaned the orientationinterpreter a little.
  * fixed test after orientation interpreter filter factoring.
  * Fixed filter tests.
  * Renamed orientation interpreter to top edge interpreter.
  * orientation interpreter added.
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw
  * fixed client api tests.
  * added tests for orientation interpreter.
  * updated changelog.
  * fixes the crash when accessing orientation property of the chain.
  * Tap adaptor is modified to work with the new accelerometer adaptor.
  * minor changes in tap adaptor.
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw
  * changed double tap logic
  * Merge branch 'master' of gitorious.org:sensorfw/sensorfw

  [ Kalle Lampila ]
  * Added System V init scripts

  [ Timo Olkkonen ]
  * Changed tests.xml requirement to match accept360 id.

  [ Ustun Ergenoglu ]
  * Changed the screen orientation logic.
  * fixes bug #156788 - orientation detection is too sensitive.
  * fixed debugging output.
  * tweaked parameters for isCovered property. Works better and the tests pass.

  [ Matias Muhonen ]
  * Package driverpolltest
  * Release: 0.6.7
  * Add maximum execution count. The test must terminate after 3 executions.

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 23 Oct 2020 09:27:06 +0318

